import cdk = require('@aws-cdk/core');
export interface SPADeployConfig {
    readonly indexDoc: string;
    readonly websiteFolder: string;
    readonly certificateARN?: string;
    readonly cfAliases?: string[];
}
export declare class SPADeploy extends cdk.Construct {
    constructor(scope: cdk.Construct, id: string);
    private getCFConfig;
    /**
     * This will create an s3 deployment fronted by a cloudfront distribution
     * It will also setup error forwarding and unauth forwarding back to indexDoc
     */
    createSiteWithCloudfront(config: SPADeployConfig): void;
    /**
     * Basic setup needed for a non-ssl, non vanity url, non cached s3 website
     */
    createBasicSite(config: SPADeployConfig): void;
}
